onEvent('recipes', (event) => {

    const id_prefix = 'farmersdelight:kubejs/cutting';
    const recipes = [
        {
            inputs: ['storagedrawers:oak_full_drawers_1'],
            tool: '#forge:axes',
            result: ['2x storagedrawers:oak_half_drawers_1'],
            id: 'oak_half_drawers_1'
        },
        {
            inputs: ['storagedrawers:oak_full_drawers_2'],
            tool: '#forge:axes',
            result: ['2x storagedrawers:oak_half_drawers_2'],
            id: 'oak_half_drawers_2'
        },
        {
            inputs: ['storagedrawers:oak_full_drawers_4'],
            tool: '#forge:axes',
            result: ['2x storagedrawers:oak_half_drawers_4'],
            id: 'oak_half_drawers_4'
        }
    ];

    recipes.forEach((recipe) => {

        recipe.type = 'farmersdelight:cutting';
        recipe.ingredients = recipe.inputs.map((input) => Ingredient.of(input).toJson());
        recipe.tool = Ingredient.of(recipe.tool).toJson();
        recipe.result = recipe.result.map((output) => Item.of(output).toResultJson());

        event.custom(recipe).id(`${id_prefix}/${recipe.id}`);

    });

    quartz.forEach((type) => {

        let gem = itemOf(`#forge:gems/${type}`);
        let block = `#forge:storage_blocks/${type}`;

        event.custom({
            type: 'farmersdelight:cutting',
            ingredients: [Ingredient.of(block).toJson()],
            tool: Ingredient.of('#forge:pickaxes').toJson(),
            result: [Item.of(gem,4).toResultJson()]
        }).id(`${id_prefix}/${type}`);

    });
})